Fix unused label on non x86_64 platforms
AbandonedPublic

Authored by trommler on Oct 28 2018, 10:19 AM.

Details

Summary

Label mmap_again is only used on x86_64. Guard
it with if defined to avoid unused label warnings.

Test Plan

validate

trommler created this revision.Oct 28 2018, 10:19 AM
alpmestan added a subscriber: alpmestan.EditedOct 28 2018, 10:20 AM

Hmm, I tried the same thing in https://phabricator.haskell.org/D5230 but it was causing (very odd) problems.

Hmm, I tried the same thing in https://phabricator.haskell.org/D5230 but it was causing (very odd) problems.

What kind of problems did you see?

trommler added a comment.EditedOct 29 2018, 6:25 AM

A whole lot of test failures, see https://circleci.com/gh/ghc/ghc-diffs/484;

Are you saying these errors don't happen without your/my patch? I cannot even build without the patch due to -Werror.

alpmestan accepted this revision.Oct 29 2018, 11:46 AM

Hmm, I might have jumped to some conclusions too quickly, my bad. I'm seeing 300+ test failures here (i386 Circle CI build of a recent master commit of GHC), which is about the amount I saw as well. So I guess either of our diffs should be merged as they don't cause any (additional) problem down the road. Let's go with yours.

This revision is now accepted and ready to land.Oct 29 2018, 11:46 AM

I think this is fixed in HEAD now with commit 82a7164

trommler abandoned this revision.Oct 31 2018, 1:37 PM

I guess I can abandon this. Thanks @alpmestan for your review and discussion of the issue!